/* -------------------------------- */
/* -----------  GENERAL  ---------- */
/* -------------------------------- */

/* Scroll */
html {
  scroll-behavior: smooth;
}

/* Box-sizing */
*,
*::before,
*::after {
  box-sizing: border-box;
  /* DEV ONLY */
  /* outline: 1px solid red; */
}
pre {
  background-color: var(--color-black);
  color: var(--color-yellow);
}

/* Body */
body {
  margin: 0;
  color: var(--color-black);
  font-family: "Jost", serif;
  font-optical-sizing: auto;
  font-style: normal;
  line-height: 1.5;
}

/* Empêche le scroll sur la page lorsqu'une modale est ouverte */
.no-scroll {
  overflow: hidden;
}

/* Containers */
.container {
  max-width: min(1532px, 100%);
  margin: auto;
  padding: 0 1rem;
}

/* Images */
img,
picture {
  display: block;
  max-width: 100%;
  height: auto;
  object-fit: cover;
}

/* Éléments texte */

/* Selection */
::selection {
  background-color: var(--color-blue);
  color: white;
}

/* Titres */
h1,
.h1,
h2,
.h2,
h3,
.h3,
h4,
.h4 {
  margin: 0;
  line-height: 1.3;
  text-align: center;
}
h1,
.h1 {
  padding: 1rem 0 2rem;
  font-size: 3.5rem;
  font-style: normal;
  font-weight: bold;
  text-align: center;
  text-transform: uppercase;
}
@media (max-width: 600px) {
  h1,
  .h1 {
    font-size: 1.75rem;
  }
}
:is(h1, .h1):has(strong) {
  font-weight: 300;
}
:is(h1, .h1) strong {
  display: block;
}
h2,
.h2 {
  padding-bottom: 1rem;
  font-size: 3rem;
  font-weight: 300;
}
@media (max-width: 600px) {
  h2,
  .h2 {
    font-size: 1.5rem;
  }
}
:is(h2,.h2) strong {
  font-weight: 600;
}
:is(h2,.h2)::before {
  padding-right: var(--padding);
  content: "[ ";
}
:is(h2,.h2)::after {
  padding-left: var(--padding);
  content: " ]";
}
:is(h2,.h2)::before,
:is(h2,.h2)::after {
  color: var(--color-yellow);
  font-size: 4rem;
  font-weight: 300;
  --padding: 2rem;
}
@media (max-width: 600px) {
  :is(h2,.h2)::before,
  :is(h2,.h2)::after {
    font-size: 2.5rem;
    --padding: .5rem;
  }
}

/* Paragraphes, textes inline, listes */
p,
span,
strong,
small,
em,
a,
b,
i,
u,
li,
button,
blockquote,
address,
figure,
figcaption,
label,
input,
select,
option,
textarea {
  color: inherit;
}
p,
ul,
ol {
  margin: 0;
  padding-bottom: .75rem;
}
p {
  line-height: 1.75;
}
:is(p, ul, ol):last-child {
  padding-bottom: 0;
}
em {
  font-style: normal;
}
strong,
em,
b {
  font-weight: bold;
}
small {
  font-size: .9rem;
}
p:empty {
  display: none;
}

/* Lien */
a {
  transition-duration: .3s;
  transition-timing-function: ease-out;
}
/* Empéche le clic à la souris sur les liens sans href */
a:is([href="#"],[href=""]) {
  pointer-events: none;
}

/* Bouton */
button {
  background: none;
  border: none;
  cursor: pointer;
  font-family: "Jost", serif;
  font-size: 1rem;
  transition-duration: .3s;
}

/* Liste */
ul {
  padding-left: 1.25rem;
}

/* Formulaire */
input,
select,
option,
textarea {
  font-family: "Jost", serif;
}

/* Adresse */
address {
  font-style: normal;
}

/* Citation */
blockquote {
  margin: 0 0 1rem 0;
  padding: 1rem;
  background-color: var(--color-light);
}

/* Pour les lecteurs d'écran (screen readers) */
.sr-only {
  border: 0;
  padding: 0;
  margin: 0;
  position: absolute !important;
  height: 1px; 
  width: 1px;
  overflow: hidden;
  clip-path: inset(50%);
  white-space: nowrap;
}

/* Call to action */
.btn {
  display: inline-flex;
  gap: 1rem;
  max-width: max-content;
  padding: .5rem 1.5rem;
  background-color: var(--color-yellow);
  color: var(--color-black);
  font-size: 1.125rem;
  letter-spacing: .1rem;
  overflow: hidden;
  text-align: center;
  text-decoration: none;
}
.btn::before {
  min-width: 50px;
  margin: -.5rem 0 -.5rem -1.5rem;
  background-color: var(--color-light);
  background-image: var(--picto);
  background-position: center;
  background-repeat: no-repeat;
  clip-path: polygon(0 0, 100% 0, 90% 100%, 0 100%);
  content: "";
  transition-duration: .2s;
}
.btn:is(:hover,:focus,:active)::before {
  filter: invert(1);
}
.btn--white::before {
  background-color: var(--color-white);
}
.btn--header {
  padding: .75rem 1.25rem;
  background-color: var(--color-white);
  color: var(--color-black);
  text-decoration: none;
  text-transform: uppercase;
  border-radius: 10px 0 0 10px;
}
.btn--header--yellow {
  background-color: var(--color-yellow);
  border-radius: 10px 10px 10px 10px;
  letter-spacing: .1rem;
}
.btn--header:is(:hover,:focus,:active) {
  background-color: var(--color-black);
  color: var(--color-white);
}
.btn--header--white {
  display: flex;
  align-items: center;
  gap: .75rem;
  line-height: 1;
}
.btn--header--white::before {
  order: -2;
  display: block;
  width: 1.25rem;
  content: url('../images/icon-phone.svg');
}
.btn--header--white:is(:hover,:focus,:active)::before {
  content: url('../images/icon-phone-white.svg');
}
.btn--header--white::after {
  order: -1;
  width: 1px;
  height: 1.5rem;
  background: linear-gradient(transparent,var(--color-black),transparent);
  content: "";
  opacity: .3;
}
.btn--header--white:is(:hover,:focus,:active)::after {
  background: white;
}
.btn--hero {
  display: flex;
  margin: auto;
  font-size: 1.5rem;
  text-transform: uppercase;
}
@media (max-width: 1200px) {
  .btn--hero {
    font-size: 1rem;
  }
}
.btn--hero::before {
  min-width: 72px;
}
.btn--fleche {
  display: block;
  width: 2rem;
  height: 2rem;
  background-color: var(--color-yellow);
  background-image: url('../images/arrow.svg');
  background-position: center;
  background-repeat: no-repeat;
  border-radius: 50%;
}
.btn--fleche:is(:hover,:focus,:active) {
  background-color: var(--color-white);
}
.btn--plus {
  display: block;
  min-width: 2.25rem;
  height: 2.25rem;
  border: 2px solid var(--color-white);
  border-radius: 50%;
  color: var(--color-white);
  font-size: 1.5rem;
  line-height: 1;
  text-align: center;
  text-decoration: none;
}
.btn--plus:is(:hover,:focus,:active) {
  background-color: var(--color-white);
  color: var(--color-black);
}
.btn--footer {
  display: inline-flex;
  align-items: center;
  gap: .75rem;
  max-width: max-content;
  min-height: 2.5rem;
  margin: .25rem .5rem 1rem 0;
  padding: .5rem 1.25rem;
  border: 1px solid var(--color-white);
  border-radius: 1.5rem;
  color: var(--color-white);
  line-height: 1;
  text-decoration: none;
}
.btn--footer::before {
  order: -2;
  content: url('../images/icon-phone-white.svg');
}
.btn--footer:is(:hover,:active,:focus)::before {
  content: url('../images/icon-phone.svg');
}
.btn--footer::after {
  order: -1;
  width: 1px;
  height: 1.5rem;
  background: linear-gradient(var(--color-white),var(--color-white));
  content: "";
  opacity: .3;
}
.btn--footer:is(:hover,:active,:focus)::after {
  background: linear-gradient(transparent,var(--color-black),transparent);
}
.btn--footer:is(:hover,:active,:focus) {
  background-color: var(--color-white);
  color: var(--color-dark);
}
.btn--footer--contact::before {
  order: -2;
  content: url('../images/icon-phone.svg');
}
.btn--footer--contact::after {
  order: -1;
  width: 1px;
  height: 1.5rem;
  background-color: var(--color-blue);
  content: "";
}
.btn--footer--contact:is(:hover,:active,:focus)::before {
  content: url('../images/icon-phone-white.svg');
}
.btn--footer--contact:is(:hover,:active,:focus)::after {
  background: var(--color-white);
}
.btn--blue {
  border-color: 1px solid var(--color-blue);
  color: var(--color-blue);
}
.btn--blue::before {
  border-right-color: var(--color-blue);
}
.btn--blue:is(:hover,:active,:focus) {
  background-color: var(--color-blue);
  color: var(--color-white);
}
.btn--blue:is(:hover,:active,:focus)::before {
  border-right-color: var(--color-white);
}

/* Page Mentions légales */
body:is(.privacy-policy,.error404) .header {
  background-color: var(--color-blue);
}
body:is(.privacy-policy,.error404) .section-404 {
  padding: 15vh 1rem 0;
  background-color: var(--color-white);
  color: var(--color-blue);
}
body:is(.privacy-policy,.error404) .section-hero__soustitre {
  text-shadow: none;
}
body:is(.privacy-policy,.error404) h2 {
  font-size: 2rem;
}
body:is(.privacy-policy,.error404) h2::before,
body:is(.privacy-policy,.error404) h2::after {
  display: none;
}

/* Page 404 */
.section-404 {
  padding: 20vh 1rem;
  background-color: var(--color-blue);
  background-position: center;
  background-size: cover;
  color: var(--color-white);
}
.container-404 {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 1rem;
  padding-bottom: 10vh;
}
.section-defaut {
  padding: 2rem 0 4rem;
}
